Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.acl
Class AbstractManageableRealm

    java.lang.Object
      weblogic.security.acl.AbstractListableRealm
          weblogic.security.acl.AbstractManageableRealm

All Implemented Interfaces:
  BasicRealm, FlatGroup.Source, ListableRealm, ManageableRealm, Serializable

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by a Pluggable Security Infrastructure that includes Authentication, Authorization, and Auditing providers.

public abstract class AbstractManageableRealm
extends AbstractListableRealm
implements ManageableRealm

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`protected` | `AbstractManageableRealm(String auditName)` Deprecated.

Method Summary
`void` | `deleteAcl(Principal owner, Acl acl)` Deprecated. Deletes an Acl from a ManageableRealm.
`void` | `deleteGroup(Group group)` Deprecated. Deletes a Group from a ManageableRealm.
`void` | `deletePermission(Permission perm)` Deprecated. Deletes a Permission from a ManageableRealm.
`void` | `deleteUser(User user)` Deprecated. Deletes a User from a ManageableRealm.
`Acl` | `newAcl(Principal owner, String name)` Deprecated. Maybe owners should be handled internal to the realm?
`Group` | `newGroup(String name)` Deprecated. Returns a new group for a ManageableRealm.
`Permission` | `newPermission(String name)` Deprecated. Creates a new Permission with the specified name for a ManageableRealm.
`User` | `newUser(String name, Object credential, Object constraints)` Deprecated. Returns a new user in a realm-specific way with the specified name, credentials, and optional constraints.
`void` | `setPermission(Acl acl, Principal principal, Permission permission, boolean allow)` Deprecated. Sets or unsets a permission for a principal in an ACL.

Methods inherited from class weblogic.security.acl.AbstractListableRealm
`authCertificates, authenticate, authInternal, authSSLCertificates, authUserPassword, getAcl, getAcl, getAclOwner, getAcls, getDelegator, getGroup, getGroupMembers, getGroupMembersInternal, getGroups, getName, getPermission, getPermissions, getUser, getUser, getUsers, init, load, save, setDelegator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.security.acl.ListableRealm
`getAcls, getGroups, getPermissions, getUsers`

Methods inherited from interface weblogic.security.acl.BasicRealm
`getAcl, getAcl, getAclOwner, getGroup, getName, getPermission, getUser, getUser, init, load, save`

Constructor Detail

### AbstractManageableRealm

    protected AbstractManageableRealm(String auditName)

  Deprecated.

Method Detail

### deleteAcl

    public void deleteAcl(Principal owner,
                          Acl acl)
                   throws SecurityException

  Deprecated.
  Deletes an Acl from a ManageableRealm. An AclOwner must be supplied to delete the Acl.

  Specified by:
    `deleteAcl` in interface `ManageableRealm`
  Parameters:
    `owner` - Principal who is an owner of the ACL
    `acl` - Access control list to be deleted
  Throws:
    `SecurityException`

### deleteGroup

    public void deleteGroup(Group group)
                     throws SecurityException

  Deprecated.
  Deletes a Group from a ManageableRealm.

  Specified by:
    `deleteGroup` in interface `ManageableRealm`
  Parameters:
    `group` - Group to be removed from the realm
  Throws:
    `SecurityException`

### deletePermission

    public void deletePermission(Permission perm)
                          throws SecurityException

  Deprecated.
  Deletes a Permission from a ManageableRealm.

  Specified by:
    `deletePermission` in interface `ManageableRealm`
  Parameters:
    `perm` - Access control list to be deleted
  Throws:
    `SecurityException`

### deleteUser

    public void deleteUser(User user)
                    throws SecurityException

  Deprecated.
  Deletes a User from a ManageableRealm.

  Specified by:
    `deleteUser` in interface `ManageableRealm`
  Parameters:
    `user` - User to be removed from the realm
  Throws:
    `SecurityException`

### newAcl

    public Acl newAcl(Principal owner,
                      String name)
               throws SecurityException

  Deprecated.
  Maybe owners should be handled internal to the realm?

  Specified by:
    `newAcl` in interface `ManageableRealm`
  Parameters:
    `owner` -
    `name` -
  Returns:
    Acl in a ManageableRealm
  Throws:
    `SecurityException`

### newGroup

    public Group newGroup(String name)
                   throws SecurityException

  Deprecated.
  Returns a new group for a ManageableRealm.

  Specified by:
    `newGroup` in interface `ManageableRealm`
  Parameters:
    `name` - Name for the new Group
  Returns:
    Group in a ManageableRealm
  Throws:
    `SecurityException`

### newPermission

    public Permission newPermission(String name)
                             throws SecurityException

  Deprecated.
  Creates a new Permission with the specified name for a ManageableRealm.

  Specified by:
    `newPermission` in interface `ManageableRealm`
  Parameters:
    `name` - Name for the Permission
  Returns:
    Permission object
  Throws:
    `SecurityException`

### newUser

    public User newUser(String name,
                        Object credential,
                        Object constraints)
                 throws SecurityException

  Deprecated.
  Returns a new user in a realm-specific way with the specified name, credentials, and optional constraints. Typical credential objects are X.509 certificates, certificate tokens, and passwords. Typical constraint objects are originating network addresses, token redeemers, or expiration date.

  If a user of that name already exists, a SecurityException is thrown.

  Specified by:
    `newUser` in interface `ManageableRealm`
  Parameters:
    `name` - Username
    `credential` - X.509 certificate, token, or password, etc.
    `constraints` - Constraints on this user's access
  Returns:
    User in a ManageableRealm
  Throws:
    `SecurityException` - if there is an error

### setPermission

    public void setPermission(Acl acl,
                              Principal principal,
                              Permission permission,
                              boolean allow)

  Deprecated.
  Sets or unsets a permission for a principal in an ACL. This operation is typically subject to access control.

  Specified by:
    `setPermission` in interface `ManageableRealm`
  Parameters:
    `acl` - Access control list to update
    `principal` - Principal who is an owner of the ACL
    `permission` - Permission to update
    `allow` - True to set permission to allow

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD